SIMON_Base< W > Struct Template Reference

SIMON block cipher base class. More...

`#include <simon.h>`

## Public Types

typedef SecBlock< W, AllocatorWithCleanup< W, true > > | AlignedSecBlock

## Public Attributes

AlignedSecBlock | m_wspace
AlignedSecBlock | m_rkeys
unsigned int | m_kwords
unsigned int | m_rounds

## Detailed Description

template<class W>
struct SIMON_Base< W >

SIMON block cipher base class.

Template Parameters

  W | the word type

User code should use SIMON64 or SIMON128

See also
  SIMON64, SIMON128, SIMON on the Crypto++ wiki

Since
  Crypto++ 6.0

Definition at line 62 of file simon.h.

## Member Typedef Documentation

## AlignedSecBlock

template<class W>

typedef SecBlock<W, AllocatorWithCleanup<W, true> > SIMON_Base< W >::AlignedSecBlock

Definition at line 67 of file simon.h.

## Constructor & Destructor Documentation

## ~SIMON_Base()

template<class W>

virtual SIMON_Base< W >::~SIMON_Base | ( |  | ) |

inline virtual

Definition at line 64 of file simon.h.

## SIMON_Base()

template<class W>

SIMON_Base< W >::SIMON_Base | ( |  | ) |

inline

Definition at line 65 of file simon.h.

## Member Data Documentation

## m_wspace

template<class W>

AlignedSecBlock SIMON_Base< W >::m_wspace

mutable

Definition at line 68 of file simon.h.

## m_rkeys

template<class W>

AlignedSecBlock SIMON_Base< W >::m_rkeys

Definition at line 69 of file simon.h.

## m_kwords

template<class W>

unsigned int SIMON_Base< W >::m_kwords

Definition at line 70 of file simon.h.

## m_rounds

template<class W>

unsigned int SIMON_Base< W >::m_rounds

Definition at line 71 of file simon.h.

The documentation for this struct was generated from the following file:

- simon.h